Skip to main content
GET
/
beneficiaries
/
{id}
Fetch a Transfer Beneficiary
curl --request GET \
  --url https://api.flutterwave.com/v3/beneficiaries/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Payout beneficiary fetched",
  "data": {
    "id": 2923,
    "account_number": "0690000032",
    "bank_code": "044",
    "full_name": "Pastor Bright",
    "meta": null,
    "created_at": "2019-11-28T08:15:29.000Z",
    "bank_name": "ACCESS BANK NIGERIA"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json; charset=utf-8

OK

status
string
required
message
string
required
data
Data41 · object
required
Example:
{
"id": 3768,
"account_number": "0690000040",
"bank_code": "044",
"full_name": "Alexis Sanchez",
"meta": null,
"created_at": "2020-01-20T16:09:24.000Z",
"bank_name": "ACCESS BANK NIGERIA"
}